***

title: collectStartInputTimers
slug: /reference/typescript/rest/calling/collect-start-input-timers
description: Manually start input timers for a collection on a call via REST.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

[collect]: /docs/server-sdks/reference/typescript/rest/calling/collect

Manually start the input timers for a collection that was started without
automatic timer activation. This is useful when you want to play a prompt
before starting the timer countdown.

<EndpointSchemaSnippet endpoint="POST /api/calling/calls" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/calling/calls" />

## **Example**

```typescript {21}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com"
});

// Start collection without auto-timers, play prompt, then start timers
const result = await client.calling.collect("call-id-xxx", {
  digits: { max: 4, terminators: "#" },
});
const controlId = result.control_id;

// Play a prompt first
await client.calling.play("call-id-xxx", {
  play: [{ type: "tts", text: "Please enter your 4-digit PIN." }]
});

// Now start the input timers
await client.calling.collectStartInputTimers("call-id-xxx", {
  control_id: controlId,
});
```